package com.wall.dream.wallpapers.ad

import android.app.Activity

object AdsInsUtil {

    object Placement {
        const val TOP_ON_AD_ONE = "7B5D16975984B52277ED07237550F212"
        const val TOP_ON_AD_TOW = "028F7A0076C3128FFFD8019A15A6C312"
        const val TOP_ON_AD_THREE = "9D6307EA4CCAE767AFE991533F0BA212"
    }

    fun loadAd(
        act: Activity,
        adID: String,
        loadListener: LoadListener?
    ): AdInstLoad {
        return AdInstLoad(act, adID, loadListener)
    }

    fun showAd(
        act: Activity,
        adID: String,
        listener: ShowListener?
    ): AdInstShower {
        return AdInstShower(act, adID, listener)
    }
}